%{
	#include "dp.tab.h"
%}

alpha		[a-zA-Z]
numeric		[0-9]
comment 	"//".*$
whitespace 	[ \t\n\r\v\f]+

%%

[!>+\-*(){},;]	        {return yytext[0]; }
"int"			{ return T_KW_INT; }
"return"		{ return T_KW_RETURN; }
"if"			{ return T_KW_IF; }
"else"			{ return T_KW_ELSE; }
"while"			{ return T_KW_WHILE; }

"=="			{ return T_OP_EQ; }
"="			{ return T_OP_ASSIGN; }

{whitespace}	        { }
{alpha}({alpha}|{numeric}|_)*	{
                          yylval.stringValue = strdup(yytext);
                          return T_ID;
                        }
{numeric}+		{
                          yylval.intValue = atoi(yytext);
                          return T_INT;
                        }
{comment}		{ }
